:root {
    --primary-color: #000;
    --secondary-color: #fff;
    --accent-color: red;
    --font-family: 'Helvetica Neue', 'Inter';
    --header-height: 60px;
    --footer-height: 50px;
}

html,
body {
    min-height: 100%;
    margin: 0;
}

body {
    background-color: var(--secondary-color);
    min-height: 100vh;
}

.page {
    background-color: var(--secondary-color);
    height: 100vh;
    display: flex;
    flex-direction: column;
    padding-bottom: var(--footer-height);
    padding-top: var(--header-height);
    box-sizing: border-box;
}

.header,
header {
    background-color: var(--primary-color);
    color: var(--accent-color);
    font-size: 20px;
    font-family: var(--font-family);
    font-weight: bold;
    text-align: left;
    width: 100%;
    padding: 0px;
    margin: 0 auto;
    z-index: 1000;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}

.h1 {
    font-family: var(--font-family);
    font-size: 20px;
    font-weight: bold;
    text-align: left;
}

.blacklist-cards {
    display: grid;
    grid-template-columns: repeat(auto-fill, 240px);
    gap: 32px 24px;
    width: 100%;
    margin: 0;
    padding: 20px;
    padding-top: 65px;
    box-sizing: border-box;
}

.card-container {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    gap: 10px;
    width: 240px;
    scroll-margin-top: 110px;
}

.blacklist-card {
    width: 240px;
    height: 200px;
    background-color: #ffffff;
    border-radius: 10px;
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
    transition: 0.3s;
    cursor: pointer;
    overflow: hidden;
}

.card-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    margin: 0;
    padding: 20px;
    width: 100%;
    flex: 1;
    min-height: 0;
    overflow-y: auto;
}

.footer,
footer {
    background-color: #000;
    font-family: var(--font-family);
    color: rgb(255, 255, 255);
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    margin: 0 auto;
    width: 100%;
    min-height: var(--footer-height);
    padding: 10px;
    box-sizing: border-box;
    z-index: 1000;
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
}

.footer-text {
    font-size: 12px;
    font-weight: bold;
    text-align: center;
}

.content {
    flex: 1;
}

.blacklist-name {
    font-family: var(--font-family);
    font-size: 20px;
    font-weight: bold;
    text-align: left;
    margin: 0;
    width: 100%;
}

@media (max-width: 900px) {
    .blacklist-cards {
        grid-template-columns: 240px;
        justify-items: start;
        padding: 16px;
        padding-top: 32px;
    }

    .content {
        padding: 16px;
    }
}
